# BaseScript

BaseScript : `LuaSourceContainer`

## Overview

The base class for all script instances

## Properties

### Enabled

`boolean`

Sets whether a script runs or not.

Changing Enabled value to false does not stop a script that is already running.

#### Code Samples

```lua
local TargetScript = game.Workspace.Script
​
TargetScript.Enabled = false
print(TargetScript.Enabled)
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/basescript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
